# QTextFrameFormat Class Reference

### [com.trolltech.qt.gui package]

Inherits QTextFormat.

### Constructor

- void QTextFrameFormat()

### Constructor Properties

- prototype: The QTextFrameFormat prototype object
- InFlow
- FloatLeft
- FloatRight
- Position( value )
- BorderStyle_None
- BorderStyle_Dotted
- BorderStyle_Dashed
- BorderStyle_Solid
- BorderStyle_Double
- BorderStyle_DotDash
- BorderStyle_DotDotDash
- BorderStyle_Groove
- BorderStyle_Ridge
- BorderStyle_Inset
- BorderStyle_Outset
- BorderStyle( value )

### Prototype Object Properties

The QTextFrameFormat prototype object inherits properties from the QTextFormat prototype object and also has the following properties.

- qreal border()
- QBrush borderBrush()
- BorderStyle borderStyle()
- qreal bottomMargin()
- QTextLength height()
- qreal leftMargin()
- qreal margin()
- qreal padding()
- PageBreakFlags pageBreakPolicy()
- Position position()
- qreal rightMargin()
- void setBorder(qreal border)
- void setBorderBrush(QBrush brush)
- void setBorderStyle(BorderStyle style)
- void setBottomMargin(qreal margin)
- void setHeight(QTextLength height)
- void setLeftMargin(qreal margin)
- void setMargin(qreal margin)
- void setPadding(qreal padding)
- void setPageBreakPolicy(PageBreakFlags flags)
- void setPosition(Position f)
- void setRightMargin(qreal margin)
- void setTopMargin(qreal margin)
- void setWidth(QTextLength length)
- qreal topMargin()
- QTextLength width()

### Instance Properties

QTextFrameFormat objects have no special properties beyond those inherited from the QTextFrameFormat prototype object.